"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbortService = void 0;
const chalk = require('chalk');
const vars_1 = require("../vars");
class AbortService {
    cmd;
    constructor(attrs = {}) {
        this.cmd = attrs.cmd;
    }
    error(msg, obj) {
        this.cmd.log(`${chalk.red('x')} Aborted.`);
        if (obj.code) {
            this.code(obj.code);
        }
        if (obj.suggestions[0]) {
            this.suggestion(obj.suggestions[0]);
        }
        this.cmd.error(msg);
    }
    code(code) {
        this.cmd.log(`Code: ${code}`);
    }
    suggestion(suggestion) {
        this.cmd.log(`Suggestion: ${suggestion}`);
    }
    // quit(): void {
    //   this.log.plain(`${chalk.red('x')} Aborted.`)
    //   this.cmd.exit()
    // }
    missingIndexHtml() {
        this.error(`Missing ${vars_1.vars.indexHtmlFilename}.`, {
            code: 'MISSING_INDEX_HTML',
            ref: '',
            suggestions: [`Run, ${chalk.bold('touch index.html')}`],
        });
    }
    emptyIndexHtml() {
        this.error(`Empty ${vars_1.vars.indexHtmlFilename}.`, {
            code: 'EMPTY_INDEX_HTML',
            ref: '',
            suggestions: [`Run, ${chalk.bold('nano index.html')}`],
        });
    }
}
exports.AbortService = AbortService;
